Changeset 5190


Ignore:
Timestamp:
05/03/09 23:49:07 (5 years ago)
Author:
alanbach-guest
Message:
  • Merged updates from Debian 2.26.1-1
Location:
pkg/kev/main/gnome-desktop/trunk/debian
Files:
2 added
2 deleted
6 edited

Legend:

Unmodified
Added
Removed
  • pkg/kev/main/gnome-desktop/trunk/debian/changelog

    r4903 r5190  
    1 gnome-desktop (2.24.3-parsix1) unstable; urgency=low 
    2  
    3   * New upstream stable release 
    4  
    5  -- Alan Baghumian <alan@technotux.org>  Wed, 14 Jan 2009 20:19:21 -0800 
    6  
    7 gnome-desktop (2.24.2-parsix1) unstable; urgency=low 
    8  
    9   * New upstream stable release 
    10  
    11  -- Alan Baghumian <alan@memphis-mobile>  Wed, 03 Dec 2008 21:48:02 -0800 
    12  
    13 gnome-desktop (2.24.1-parsix2) unstable; urgency=low 
    14  
    15   * Fixed wrong shlibs version 
    16  
    17  -- Alan Baghumian <alan@technotux.org>  Sat, 01 Nov 2008 12:44:33 -0700 
    18  
    19 gnome-desktop (2.24.1-parsix1) unstable; urgency=low 
    20  
    21   * Merge updates from Ubuntu 1:2.24.1-0ubuntu1 
    22   * Bump standards version to 3.8.0.1 
    23   * Update for Parsix 
    24  
    25  -- Alan Baghumian <alan@technotux.org>  Fri, 31 Oct 2008 20:06:28 -0700 
    26  
    27 gnome-desktop (2.22.3-parsix1) unstable; urgency=low 
    28  
    29   * New upstream bugfix release 
    30  
    31  -- Alan Baghumian <alan@technotux.org>  Thu, 10 Jul 2008 22:37:09 +0200 
    32  
    33 gnome-desktop (2.22.2-parsix1) unstable; urgency=low 
    34  
    35   * New upstream bugfix release 
    36  
    37  -- Alan Baghumian <alan@technotux.org>  Tue, 27 May 2008 21:13:21 +0200 
    38  
    39 gnome-desktop (2.22.1-parsix1) unstable; urgency=low 
    40  
    41   * New upstream stable release  
    42  
    43  -- Alan Baghumian <alan@technotux.org>  Tue, 08 Apr 2008 15:24:44 +0200 
    44  
    45 gnome-desktop (2.22.0-parsix1) unstable; urgency=low 
    46  
    47   * Merged Debian 2.22.0-1 updates 
    48  
    49  -- Alan Baghumian <alan@technotux.org>  Fri, 14 Mar 2008 13:04:34 +0100 
     1gnome-desktop (2.26.1-parsix1) unstable; urgency=low 
     2 
     3  * Sync'd with Debian 2.26.1-1 
     4 
     5 -- Alan Baghumian <alan@technotux.org>  Sun, 03 May 2009 14:48:14 -0700 
     6 
     7gnome-desktop (2.26.1-1) unstable; urgency=low 
     8 
     9  * New upstream release. 
     10  * 90_relibtoolize.patch: updated for the new version. 
     11 
     12 -- Josselin Mouette <joss@debian.org>  Tue, 14 Apr 2009 12:16:16 +0200 
     13 
     14gnome-desktop (2.26.0-1) experimental; urgency=low 
     15 
     16  * New upstream release. 
     17  * Standards version is 3.8.1. 
     18  * Rename library package to libgnome-desktop-2-11. 
     19  * Update build-dependencies and -dev dependencies. 
     20  * 90_relibtoolize.patch: updated for the new version. 
     21 
     22 -- Josselin Mouette <joss@debian.org>  Sat, 11 Apr 2009 12:47:08 +0200 
     23 
     24gnome-desktop (2.24.3-1) unstable; urgency=low 
     25 
     26  * Build-depend on libglib2.0-doc and libgtk2.0-doc to ensure proper  
     27    xrefs. 
     28  * New upstream release. 
     29  * 90_relibtoolize.patch: regenerate for the new version. 
     30  * Upload to unstable!!1!omgwtfbbq 
     31 
     32 -- Josselin Mouette <joss@debian.org>  Sun, 15 Mar 2009 15:21:12 +0100 
     33 
     34gnome-desktop (2.24.2-1) experimental; urgency=low 
     35 
     36  * New upstream release. 
     37  * 90_relibtoolize.patch: regenerate for the new version. 
     38 
     39 -- Josselin Mouette <joss@debian.org>  Sun, 04 Jan 2009 10:27:14 +0100 
     40 
     41gnome-desktop (2.24.1-1) experimental; urgency=low 
     42 
     43  [ Andreas Henriksson ] 
     44  * New upstream release. 
     45    - update patches/99_ltmain_as-needed.patch to apply. 
     46 
     47  [ Josselin Mouette ] 
     48  * Bump build-dependency on intltool, add one on libxrandr-dev. 
     49  * Add a ~ to build-depend on libgnomeui-dev. 
     50  * Rename the library package to libgnome-desktop-2-7. 
     51  * Ship the documentation in libgnome-desktop-dev. 
     52  * 90_relibtoolize.patch: relibtoolize to avoid the rpath issue on  
     53    amd64. 
     54 
     55 -- Josselin Mouette <joss@debian.org>  Mon, 17 Nov 2008 21:43:38 +0100 
     56 
     57gnome-desktop (2.22.3-2) unstable; urgency=low 
     58 
     59  * Ship files in /usr/share/omf in gnome-desktop-data. Closes: #492872.  
     60 
     61 -- Josselin Mouette <joss@debian.org>  Thu, 18 Sep 2008 15:03:53 +0200 
     62 
     63gnome-desktop (2.22.3-1) unstable; urgency=low 
     64 
     65  * New upstream bugfix release. 
     66  * debian/control.in: 
     67    + Update Standards-Version to 3.8.0, no additional changes needed. 
     68 
     69 -- Sebastian Dröge <slomo@debian.org>  Mon, 30 Jun 2008 12:30:12 +0200 
     70 
     71gnome-desktop (2.22.2-1) unstable; urgency=low 
     72 
     73  * New upstream translation and bugfix release. 
     74 
     75 -- Josselin Mouette <joss@debian.org>  Thu, 29 May 2008 01:32:08 +0200 
     76 
     77gnome-desktop (2.22.1-1) unstable; urgency=low 
     78 
     79  * New upstream bugfix release. 
     80 
     81 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Apr 2008 13:18:00 +0200 
    5082 
    5183gnome-desktop (2.22.0-1) unstable; urgency=low 
  • pkg/kev/main/gnome-desktop/trunk/debian/control

    r4328 r5190  
    33Priority: optional 
    44Maintainer: Ondřej SurÃœ <ondrej@debian.org> 
    5 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org> 
    6 Standards-Version: 3.8.0.1 
     5Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>, Sebastian Dröge <slomo@debian.org> 
     6Standards-Version: 3.8.1 
    77XS-Python-Version: >= 2.4 
    88Build-Depends: debhelper (>= 5), 
    9                libglib2.0-dev (>= 2.15.4), 
    10                intltool (>= 0.35.0), 
    11                libgnomeui-dev (>= 2.14.1-1), 
     9               libglib2.0-dev (>= 2.19.1), 
     10               intltool (>= 0.40.0), 
    1211               scrollkeeper, 
    1312               cdbs (>= 0.4.41), 
     
    1716               gnome-doc-utils (>= 0.3.2), 
    1817               libx11-dev, 
    19                libgtk2.0-dev (>= 2.11.3), 
     18               libxrandr-dev (>= 1.2), 
     19               libgtk2.0-dev (>= 2.14.0), 
    2020               libstartup-notification0-dev (>= 0.5), 
    2121               libxml2-dev (>= 2.4.20), 
    2222               libgconf2-dev (>= 2.0.0), 
    2323               python-dev, 
    24                python-central (>= 0.5.6) 
     24               python-central (>= 0.5.6), 
     25               libglib2.0-doc, 
     26               libgtk2.0-doc, 
     27               sng 
    2528 
    2629Package: gnome-about 
     
    5659 apps (Pixmaps, .desktop files and internationalization files). 
    5760 
    58 Package: libgnome-desktop-2-7 
     61Package: libgnome-desktop-2-11 
    5962Section: libs 
    6063Architecture: any 
    6164Depends: ${misc:Depends}, 
    6265         ${shlibs:Depends} 
    63 Replaces: libpanel-applet2 (<= 1.5.4-1) 
    64 Breaks: gnome-control-center (<< 1:2.23.5), 
    65            gnome-settings-daemon (<< 2.23.5) 
    6666Description: Utility library for loading .desktop files - runtime files 
    6767 This library is used by GNOME 2 to load the .desktop files. 
     
    7171Architecture: any 
    7272Depends: ${misc:Depends}, 
    73          libgnome-desktop-2-7 (= ${binary:Version}), 
    74          libgnomeui-dev (>= 2.14.1-1), 
     73         libgnome-desktop-2-11 (= ${binary:Version}), 
     74         libgtk2.0-dev (>= 2.14.0), 
    7575         libstartup-notification0-dev (>= 0.5) 
    7676Replaces: libpanel-applet2-dev (<= 1.5.4-1) 
  • pkg/kev/main/gnome-desktop/trunk/debian/control.in

    r4328 r5190  
    44Maintainer: Ondřej SurÃœ <ondrej@debian.org> 
    55Uploaders: @GNOME_TEAM@ 
    6 Standards-Version: 3.8.0.1 
     6Standards-Version: 3.8.1 
    77XS-Python-Version: >= 2.4 
    88Build-Depends: debhelper (>= 5), 
    9                libglib2.0-dev (>= 2.15.4), 
    10                intltool (>= 0.35.0), 
    11                libgnomeui-dev (>= 2.14.1-1), 
     9               libglib2.0-dev (>= 2.19.1), 
     10               intltool (>= 0.40.0), 
    1211               scrollkeeper, 
    1312               cdbs (>= 0.4.41), 
     
    1716               gnome-doc-utils (>= 0.3.2), 
    1817               libx11-dev, 
    19                libgtk2.0-dev (>= 2.11.3), 
     18               libxrandr-dev (>= 1.2), 
     19               libgtk2.0-dev (>= 2.14.0), 
    2020               libstartup-notification0-dev (>= 0.5), 
    2121               libxml2-dev (>= 2.4.20), 
    2222               libgconf2-dev (>= 2.0.0), 
    2323               python-dev, 
    24                python-central (>= 0.5.6) 
     24               python-central (>= 0.5.6), 
     25               libglib2.0-doc, 
     26               libgtk2.0-doc, 
     27               sng 
    2528 
    2629Package: gnome-about 
     
    5659 apps (Pixmaps, .desktop files and internationalization files). 
    5760 
    58 Package: libgnome-desktop-2-7 
     61Package: libgnome-desktop-2-11 
    5962Section: libs 
    6063Architecture: any 
    6164Depends: ${misc:Depends}, 
    6265         ${shlibs:Depends} 
    63 Replaces: libpanel-applet2 (<= 1.5.4-1) 
    64 Breaks: gnome-control-center (<< 1:2.23.5), 
    65            gnome-settings-daemon (<< 2.23.5) 
    6666Description: Utility library for loading .desktop files - runtime files 
    6767 This library is used by GNOME 2 to load the .desktop files. 
     
    7171Architecture: any 
    7272Depends: ${misc:Depends}, 
    73          libgnome-desktop-2-7 (= ${binary:Version}), 
    74          libgnomeui-dev (>= 2.14.1-1), 
     73         libgnome-desktop-2-11 (= ${binary:Version}), 
     74         libgtk2.0-dev (>= 2.14.0), 
    7575         libstartup-notification0-dev (>= 0.5) 
    7676Replaces: libpanel-applet2-dev (<= 1.5.4-1) 
  • pkg/kev/main/gnome-desktop/trunk/debian/gnome-desktop-data.install

    r4328 r5190  
    11debian/tmp/usr/share/pixmaps 
    22debian/tmp/usr/share/locale 
    3 debian/tmp/usr/share/omf 
    43debian/tmp/usr/share/gnome 
    54debian/tmp/usr/share/gnome-about/*.xml 
     5debian/tmp/usr/share/omf 
  • pkg/kev/main/gnome-desktop/trunk/debian/patches/99_ltmain_as-needed.patch

    r4328 r5190  
    1 diff -Nur -x '*.orig' -x '*~' gnome-desktop-2.23.90/ltmain.sh gnome-desktop-2.23.90.new/ltmain.sh 
    2 --- gnome-desktop-2.23.90/ltmain.sh     2008-08-06 21:38:32.000000000 +0200 
    3 +++ gnome-desktop-2.23.90.new/ltmain.sh 2008-08-19 00:20:18.000000000 +0200 
    4 @@ -1809,7 +1809,11 @@ 
    5         IFS="$save_ifs" 
     1Index: nautilus-2.18.1/ltmain.sh 
     2=================================================================== 
     3--- nautilus-2.18.1.orig/ltmain.sh      2006-07-13 09:12:13.000000000 +0200 
     4+++ nautilus-2.18.1/ltmain.sh   2007-06-06 23:36:38.899175453 +0200 
     5@@ -1784,6 +1784,11 @@ 
    66        arg=`$echo "X$arg" | $Xsed -e "s/^ //"` 
    77        ;; 
    8 - 
     8  
    99+      -Wl,--as-needed) 
    1010+       deplibs="$deplibs $arg" 
     
    1515        args=`$echo "X$arg" | $Xsed -e "$sed_quote_subst" -e 's/^-Wl,//'` 
    1616        arg= 
    17 @@ -2159,6 +2163,15 @@ 
     17@@ -2124,6 +2129,15 @@ 
    1818        lib= 
    1919        found=no 
  • pkg/kev/main/gnome-desktop/trunk/debian/rules

    r4342 r5190  
    77include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk 
    88-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk 
    9  
    10 DEB_DH_MAKESHLIBS_ARGS_libgnome-desktop-2-7 += -V 'libgnome-desktop-2-7 (>= 2.23.90)' 
    119 
    1210LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed 
Note: See TracChangeset for help on using the changeset viewer.